>From 777f26c1260b55735f34927c6b9596677c0424d6 Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Sat, 21 Feb 2009 00:50:23 +0100
Subject: [PATCH] playlist locking forgotten (causes PL_ASSERT_LOCKED to fail)

---
 modules/gui/skins2/vars/playtree.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/modules/gui/skins2/vars/playtree.cpp b/modules/gui/skins2/vars/playtree.cpp
index 0179f8c..839b928 100644
--- a/modules/gui/skins2/vars/playtree.cpp
+++ b/modules/gui/skins2/vars/playtree.cpp
@@ -136,7 +136,9 @@ void Playtree::onUpdateItem( int id )
         playlist_item_t* pNode = (playlist_item_t*)(it->m_pData);
         UString *pName = new UString( getIntf(), pNode->p_input->psz_name );
         it->m_cString = UStringPtr( pName );
+        playlist_Lock( m_pPlaylist );
         it->m_playing = playlist_CurrentPlayingItem( m_pPlaylist ) == pNode;
+        playlist_Unlock( m_pPlaylist );
         if( it->m_playing ) descr.b_active_item = true;
     }
     else
-- 
1.5.2.5

